Skip to main content
GET
/
api
/
v1
/
test-cards
Test kartlarını listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/test-cards \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "masked_card_number": "<string>",
      "card_number": "<string>",
      "card_holder_name": "<string>",
      "expiry_month": 123,
      "expiry_year": 123,
      "cvv": "<string>",
      "custom_error_code": "<string>",
      "custom_error_message": "<string>",
      "simulated_delay_ms": 123,
      "label": "<string>",
      "is_active": true,
      "created": "2023-11-07T05:31:56Z",
      "last_modified": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

expected_result
enum<string>
Available options:
Success,
Declined,
InsufficientFunds,
InvalidCard,
Timeout,
ThreeDSecureRequired,
RandomFailure,
GatewayError
card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
page
integer<int32>
page_size
integer<int32>
include_inactive
boolean
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only